#pragma once

#include "States/IState.h"
#include "IWindowKeeper.h"
#include "MazeContent/Buildings/Maze.h"
#include "Context/ContextManager.h"

class GameState: public IState, public IWindowKeeper {
public:
    void set_maze(Maze&& maze);
    void set_context(GameContext&& context);
    bool do_step() override; ///@todo
protected:
    void event_handling() override; ///@todo
    void update() override; ///@todo
    void render() override; ///@todo
public:
    GameState(IStateManager& state_manager,
              const sf::VideoMode& video_mode, const std::string& window_title);
private:
    Maze m_maze;
    ContextManager m_context_manager;
};