#include "Draw/Menu.h"


void Menu::draw_into(sf::RenderWindow& window) const {
    for (const Button& ptr_button : m_buttons)
        ptr_button.draw_into(window);
}

void Menu::process_mouse(sf::Vector2f pos, bool is_pressed) {
    for (auto& button : m_buttons) {
        if (button.is_position_in(pos)) {
            if (is_pressed) button.push();
            else button.select();
        }
        else button.unselect();
    }
}