#include "MazeContent/Entities/StaticEntities/Food.h"
#include "Config.h"

Food::Food() : m_circle{config::GAME_FOOD_SIZE / 2} {
    m_circle.setOrigin(m_circle.getRadius(), m_circle.getRadius());
    m_circle.setFillColor(config::GAME_FOOD_COLOR);
}

std::unique_ptr<IStaticEntity> Food::clone() const {
    return std::make_unique<Food>(*this);
}

void Food::prepare_for_drawing() {
    m_circle.setPosition(m_ptr_room->get_position());
}

void Food::draw_into(sf::RenderWindow& window) const {
    window.draw(m_circle);
}